#ifndef __HBW_H__
#define __HBW_H__

#define BAUDRATE 19200L

uint8_t hbw_rmessage[62];
uint8_t hbw_rlen;

uint8_t hbw_slen;
uint8_t hbw_smessage[62];

volatile uint16_t hbw_timer;

void hbw_init(void);
void hbw_loop(void);
uint8_t hbw_send_channel(uint8_t channel, uint8_t length, uint8_t const * const data);
uint8_t hbw_send_key(uint8_t channel, uint8_t count, uint8_t flag);
void hbw_receive_key(uint32_t saddress, uint8_t schannel, uint8_t channel, uint8_t countflag);
uint8_t hbw_get_channel(uint8_t channel, uint8_t data[]);
void hbw_set_channel(uint8_t channel, uint8_t len, uint8_t data[]);
void hbw_read_config(void);
#endif
